Subject: bug#44320: closed (Re: bug#44320: [PATH] [27.1] Make sure send-string-to-terminal send all contents)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Nov 2020 09:29:02 +0000

Your bug report

#44320: [PATH] [27.1] Make sure send-string-to-terminal send all contents

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44320: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44320
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44320: [PATH] [27.1] Make sure send-string-to-terminal send all contents
From: Eli Zaretskii <[email-masked]>
To: LinSun <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 07 Nov 2020 11:28:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 5 Nov 2020 08:14:12 +0800
> From: LinSun <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, 
> 	"[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, 
> 	"[email-masked]" <[email-masked]>
> 
> With your patch unrequest_sigio ()…request_sigio (), it work like charm, it always success display the *.six
> image.
> 
> Look forward you apply your patch or wrap a new function like `full_fwrite(…)` in the tree.

Thanks for testing.  I installed the change on the release branch.

As for other uses of fwrite, they are either to disk files or write
short strings, so are not in danger of hitting this problem.

With that, I'm closing this bug report.

Subject: [PATH] [27.1] Make sure send-string-to-terminal send all contents
From: Lin Sun <[email-masked]>
To: "[email-masked]" <[email-masked]>, Eli Zaretskii <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 30 Oct 2020 07:01:53 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Lars,

I got a bug that `send-string-to-termina` maybe send part of contents to

terminal, calling `fwrite` in loop to make sure all contents are written.

Please review the patch. Thank you.

B.R.
Lin